Partner Restaurants

This endpoint returns a list of restaurants that were onboarded with the partner. Both Business ID and Display name will be returned for each onboarded restaurants.

Curl example with OAuth authentication:

    root@test:~# curl -X GET "https://api.yelp.com/v3/partner/restaurants" --header "Authorization: Bearer ${API_TOKEN}" --header "Content-Type: application/json"

Example 200 response:

{
    "restaurants": [
        {
            "business_id": "Yelp business id 1",
            "display_name": "Partner onboarded business 1"
        },
        {
            "business_id": "Yelp business id 2",
            "display_name": "Partner onboarded business 2"
        }
    ]
}

Note: In order to use this endpoint, the caller should be an onboarded Yelp Waitlist partner

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json